Get verification
curl --request GET \
--url https://api.services.payward.com/v1/users/{user_id}/travel-rule/verifications/{verification_id} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/users/{user_id}/travel-rule/verifications/{verification_id}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/users/{user_id}/travel-rule/verifications/{verification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"verification_id": "ver_0195e4d2-a4d0-7b12-8f4a-123456789abc",
"wallet_type": "self_hosted",
"method": "self_attestation",
"status": "verified",
"created_at": "2026-06-23T10:00:00Z",
"updated_at": "2026-06-23T10:00:00Z"
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"causes": [
{
"field": "address",
"message": "must be a valid address for the selected network"
}
],
"status": 400,
"code": "bad_request"
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "unauthenticated",
"status": 401
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "forbidden",
"status": 403
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "verification_not_found",
"status": 404
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "resource_exhausted",
"status": 429
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "internal",
"status": 500
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "unavailable",
"status": 503
}
}{
"error": {
"type": "travel_rule_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"code": "deadline_exceeded",
"status": 504
}
}Travel Rule Verifications
Get verification
Gets a previously returned proactive Travel Rule verification case.
GET
/
v1
/
users
/
{user_id}
/
travel-rule
/
verifications
/
{verification_id}
Get verification
Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
ID of the user the request applies to. For partners operating in the B2B2C model, this is the Sub-User the request is acting on behalf of. Canonical identifier for a user in the Payward public API.
Required string length:
14 - 42Stable PWS identifier for the Travel Rule verification case.
Required string length:
1 - 64Response
Response returned when reading a Travel Rule verification case.
Travel Rule verification case.
Show child attributes
Show child attributes
⌘I